-- не настраивать
require( "scripts/game/deftime.lua" );
GameObject = {
-- основные параметры
    Params = {
        ID="mhp";
        width=0;
        height=0;
        GridData = { };
        not_visual = 1;
        RandomTasks=0;
    };
    ActivePoints = { 
        mother_home = { 
                   { {}, 0,0,0,  0,  0,0,0 };
                   }; 
    };
    Objects = {};
    -- перечисление всех задач для обьекта
    Tasks = {
        mother_home = { FuncName="MotherHomeTaskExecute", skill_up = 0, not_need_action=1, hand_add=1 };
    };
    -- перечисление всех триггеров для обьекта
    Triggers = {};
    --задачи которые начинают выполнятся после создания обьекта
    InitActiveTasks = {};
    --задачи которые обьект ожидает после создания обьекта
    InitExpectedTasks = {"mother_home"};
};
function GameObject:Get()
    return self;
end
function GetParams()
    aObj = GameObject:Get();   
    return aObj.Params;
end

function MotherHomeTaskExecute()
    aObj = GameObject:Get();   
    return 0;
end
